Name: task-gnome
Version: 2010.0
Release: %mkrel 3
Summary: Metapackage for the GNOME
Group: Graphical desktop/GNOME
License: GPL
Requires: %{name}-minimal
Suggests: gedit >= 2.8.0
Suggests: gdm >= 2.4.1.3
Suggests: gconf-editor >= 2.8.0
Suggests: gnome-games >= 2.8.0
Suggests: rhythmbox
Suggests: file-roller
Suggests: gnome-pilot
Suggests: totem
Suggests: epiphany
Suggests: epiphany-extensions
Suggests: gucharmap
Suggests: gcalctool
Suggests: beagle-gui
Suggests: eog >= 2.8.0
Suggests: empathy
Suggests: ekiga
Suggests: evolution
Suggests: evolution-webcal
Suggests: beagle-evolution
Suggests: nautilus
Suggests: nautilus-filesharing
Suggests: tomboy
Suggests: f-spot
Suggests: deskbar-applet
Suggests: evince
Suggests: vino
Suggests: vinagre
Suggests: gok
Suggests: orca
Suggests: mousetweaks
Suggests: dasher
Suggests: nautilus-sendto-bluetooth
Suggests: nautilus-sendto-evolution
Suggests: brasero
Suggests: cheese
# not needed, required by gdm
#Requires: zenity

# the following packages still rest in contrib
#Requires: ggv
#Requires: gpdf
#Requires: gnome-netstatus
#Requires: gtklp
#Requires: gnome-nettool
#Requires: gnome-system-tools

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the GNOME2.

%package minimal
Summary: Minimal dependencies needed for GNOME desktop 
Group: Graphical desktop/GNOME
Obsoletes: gnome2
Provides: gnome2

Requires: gnome-panel >= 2.8.3
Requires: gnome-terminal >= 2.8.2
Requires: nautilus >= 2.8.2
Requires: metacity >= 2.8.13
Requires: yelp >= 2.6.5
Requires: gnome-control-center >= 2.8.2
Requires: gnome-power-manager
Suggests: gnome-media >= 2.8.0
Suggests: bug-buddy >= 2.8.0
Suggests: task-pulseaudio
Suggests: preload
Suggests: readahead

# not needed, required by gnome-panel
#Requires: gnome-applets >= 2.8.0
#Requires: gnome-utils >= 2.8.0

# not needed, required by gnome-session
#Requires: gnome-user-docs >= 2.6.0

#not needed, required by gnome-applets
#Requires: gnome-system-monitor >= 2.8.0

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal GNOME desktop environment.

%files

%files minimal




%changelog
* Mon Oct 05 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-3mdv2010.0
+ Revision: 454068
- gnome-volume-manager functions are now provided by nautilus

* Mon Sep 21 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-2mdv2010.0
+ Revision: 446445
- Replace pidgin with empathy

* Wed Jun 24 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-1mdv2010.0
+ Revision: 388883
- Suggests cheese (Mdv bug #44716)

* Thu Mar 12 2009 Frederic Crozat <fcrozat@mandriva.com> 2009.1-1mdv2009.1
+ Revision: 354234
- Move suggest of gnome-media to task-gnome-minimal
- Remove suggests on nautilus-cd-burner, it is replaced by brasero

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2009.0-6mdv2009.1
+ Revision: 351499
- rebuild

* Mon Oct 27 2008 Pixel <pixel@mandriva.com> 2009.0-5mdv2009.1
+ Revision: 297561
- transform most Requires into Suggests to allow removing those pkgs while still
  keeping task-gnome installed (otherwise it creates many "orphans")

* Fri Sep 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-4mdv2009.0
+ Revision: 288690
- Move preload suggest to minimal package, and add readahead as well

* Thu Sep 25 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-3mdv2009.0
+ Revision: 288121
- Add preload as suggests, reduce login time at startup

* Wed Aug 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-2mdv2009.0
+ Revision: 276533
- Add more accessibility apps, as suggests
- enforce gnome-power-manager installation

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2009.0-1mdv2009.0
+ Revision: 245405
- reset version

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2008.1-5mdv2009.0
+ Revision: 225622
- rebuild

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-4mdv2008.1
+ Revision: 191683
- Suggests brasero (Mdv bug #39721)

* Tue Mar 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-3mdv2008.1
+ Revision: 178834
- Suggests task-pulseaudio in task-gnome-minimal

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-2mdv2008.1
+ Revision: 176015
- Remove gthumb from dependencies
- Add vino and vinagre
- Rename gaim into pidgin

* Fri Feb 15 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-1mdv2008.1
+ Revision: 168768
- Add suggests on nautilus-sendto-bluetooth and nautilus-sendto-evolution (Mdv bug #29336)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2007-5mdv2008.1
+ Revision: 128245
- kill re-definition of %%buildroot on Pixel's request

  + Frederic Crozat <fcrozat@mandriva.com>
    - Move requirement on bug-buddy into a suggests and move it to task-gnome-minimal


* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2007-5mdv2007.1
+ Revision: 149245
- Add evince dependency to main package

* Fri Mar 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2007-4mdv2007.1
+ Revision: 144805
- Pull beagle-gui, not beagle
- Pull beagle-evolution
- Remove specfile translation, they are in separate package now

  + Jérôme Soyer <saispo@mandriva.org>
    - Import task-gnome

* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-3mdv2007.0
- Add more applications

* Sat Aug 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-2mdv2007.0
- Replace gnopernicus with orca

* Tue Jul 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-1mdv2007.0
- Rename gnome2 package as task-gnome-mininal and merge into task-gnome

* Thu Aug 11 2005 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 2006-1mdk
- package created for Mandriva

